Bug 249281 - sysutils/rundeck3: Update to 3.3.3
Summary: sysutils/rundeck3: Update to 3.3.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Danilo G. Baio
URL: https://docs.rundeck.com/news/2020/09...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-12 15:01 UTC by Daniel Tihanyi
Modified: 2020-09-15 23:55 UTC (History)
2 users (show)

See Also:


Attachments
Rundeck3 update to 3.3.3 (1002 bytes, patch)
2020-09-12 15:01 UTC, Daniel Tihanyi
daniel.tihanyi: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Tihanyi 2020-09-12 15:01:42 UTC
Created attachment 217919 [details]
Rundeck3 update to 3.3.3

Rundeck 3.3.3 Update.

Issues fixed since the last release:
- Increase jetty max form keys to 2000
- Update openssh plugin version to 2.0.1
- Migrate pre spring boot 2 cookie configs to valid configs
- HttpOnly session cookie disabled by default on Rundeck 3.3.X
- ACL List paging
- Fix read validation of a job from another project
- Force a retry when executing script if file is busy because chmod executed just before
- Paged Project List
- Fix: “Null hostname value”
- Bring minio client library up to 7.1.0
- Fix reflective access warning for java.util.logging.
- Show project Readme on home page only when configured
- Enable dynamic property values in vue plugin UIs, fix Icon node enhancer plugin
- Fix logging system initialization
- Upgrade pywinrm to 2.0.9
- Rundeck Job Replication plugin not pushing changes to remote Rundeck
- Change http return when execution status is passive from 503 to 200
- Upgrade axios from 0.18.1 to 0.19.2
- Security upgrade lodash from 4.17.15 to 4.17.16
- Plugin UI Enhancement
- README content always appears on the Project Home page (3.3.0-PREVIEW2)
- Jobref not using target project acls to validate if it can be executed

Full release notes: https://docs.rundeck.com/news/2020/09/10/rundeck-3.3.3.html
Comment 1 commit-hook freebsd_committer 2020-09-15 23:53:28 UTC
A commit references this bug:

Author: dbaio
Date: Tue Sep 15 23:52:48 UTC 2020
New revision: 548753
URL: https://svnweb.freebsd.org/changeset/ports/548753

Log:
  sysutils/rundeck3: Update to 3.3.3

  Changelog:	https://docs.rundeck.com/news/2020/09/10/rundeck-3.3.3.html

  PR:		249281
  Submitted by:	Daniel Tihanyi <daniel.tihanyi@tetragir.com> (maintainer)

Changes:
  head/sysutils/rundeck3/Makefile
  head/sysutils/rundeck3/distinfo
Comment 2 commit-hook freebsd_committer 2020-09-15 23:54:29 UTC
A commit references this bug:

Author: dbaio
Date: Tue Sep 15 23:54:17 UTC 2020
New revision: 54499
URL: https://svnweb.freebsd.org/changeset/doc/54499

Log:
  Add Daniel Tihanyi to contributors

  Maintainer of:	sysuils/rundeck2
  		sysutils/rundeck3
  		www/caddy

  PR:		249281

Changes:
  head/en_US.ISO8859-1/articles/contributors/contrib.additional.xml
Comment 3 Danilo G. Baio freebsd_committer 2020-09-15 23:55:35 UTC
Committed, thanks!